#!/usr/bin/env python3

from core.socket import IRCSocketClient
from core.composer import Composer
from core.utils import hooks
from core.plugins import *
from core.reducers import *
from abots.net import PrefixSocketClient, PrefixSocketServer
from abots.helpers import Logger, infinitedict, isnumeric, coroutine, generator
from abots.events import CoroEvent

from os import remove as delete_file
from os.path import isfile
from threading import Thread
from queue import Empty

logname = "babili_irc_client"
logfile = f"{logname}.log"
if isfile(logfile):
    delete_file(logfile)
settings = infinitedict()
settings["file"]["formatter"] = "%(message)s"
settings["stream"]["formatter"] = "%(message)s"
logger = Logger(logname, settings=settings)
logger.start()

composer = Composer(logger)
composer.load_settings("settings.json")
composer.load_server()
composer.load_irc_clients()
